@import "./infos/description";

.product-infos {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  margin-bottom: 3rem;

  > .product-name-price .breadcrumb {
    margin-bottom: 0.4rem;
    margin-top: 0;
  }

  > .product-name-price .reference {
    color: var(--gray-2);
    font-size: var(--font-size-small);
    margin-bottom: 0.4rem;
  }

  > .product-name-price .name {
    font-size: var(--font-size-title);
    font-weight: var(--font-weight-title);
    color: var(--font-color-title);
    line-height: 1.2;
  }

  .topic-title {
    display: block;
    margin-bottom: 0.8rem;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    white-space: nowrap;
  }

  .actions-wrapper {
    display: flex;
    flex-direction: column;
    margin-top: 1.6rem;

    @include media("md") {
      flex-direction: row;
    }
  }

  .actions-wrapper .add-to-cart-button {
    width: 100%;
    height: 5rem;

    @include media("md") {
      flex: 1;
    }
  }

  @import "./infos/price";
  @import "./infos/attributes";
  @import "./infos/quantity_selector";
  @import "./infos/messages";
  @import "./infos/form_notify";
  @import "./infos/shipping";
}
